<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateOrdersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('orders', function (Blueprint $table) {
            $table->increments('id');
            $table->string('out_trade_no', 200)->nullable()->comment('订单号');
            $table->unsignedInteger('student_id')->nullable()->comment('学员ID');
            $table->string('phone', 200)->nullable()->comment('电话');
            $table->tinyInteger('pay_position')->nullable()->comment('付款落地页：1落地页1；2落地页2');
            $table->tinyInteger('pay_status')->nullable()->comment('付款状态：1未付款；2已付款；3已退款；4已取消；5回收站');
            $table->tinyInteger('pay_method')->nullable()->comment('付款方式：1微信支付');
            $table->string('money', 200)->nullable()->comment('订单金额：分');
            $table->string('remark', 200)->nullable()->comment('备注');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('orders');
    }
}
